classification
Title: Add __required_keys__ and __optional_keys__ to TypedDict documentation
Type: Stage: resolved
Components: Documentation Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, gvanrossum, pbryan
Priority: normal Keywords: patch

Created on 2021-02-28 05:18 by pbryan, last changed 2021-02-28 07:17 by pbryan. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24668 merged pbryan, 2021-02-28 05:24
Messages (2)
msg387802 - (view) Author: Paul Bryan (pbryan) * Date: 2021-02-28 05:18
From Typing-sig list:

On Thu, Feb 11, 2021 at 10:54 PM Paul Bryan <pbryan@anode.ca> wrote:
> I don't think __required_keys__ or __optional_keys__ are documented, at least not in https://docs.python.org/3.10/library/typing.html. Is there any reason we can't codify them in 3.10 docs?

On Fri, 2021-02-12 at 14:23 -0800, Guido van Rossum wrote:
> Nobody got to it yet? Maybe you'd be willing to submit a small PR for this?
msg387803 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2021-02-28 07:02
New changeset 1e3c68246ee738b5ec5450b1eb39af2fca300cb9 by Paul Bryan in branch 'master':
bpo-43345: Enhance TypedDict documentation. (#24668)
https://github.com/python/cpython/commit/1e3c68246ee738b5ec5450b1eb39af2fca300cb9
History
Date User Action Args
2021-02-28 07:17:39pbryansetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-02-28 07:02:22gvanrossumsetmessages: + msg387803
2021-02-28 05:24:51pbryansetkeywords: + patch
stage: patch review
pull_requests: + pull_request23453
2021-02-28 05:19:15pbryansetnosy: + gvanrossum
2021-02-28 05:18:12pbryancreate